#
# spec file for package telnet (Version 1.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           telnet
License:        BSD
Group:          Productivity/Networking/Other
Provides:       nkitb:/usr/bin/telnet
Autoreqprov:    on
Version:        1.2
Release:        14.4
Summary:        A client program for the telnet remote login protocol
Requires:       netcfg
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         telnet-bsd-%version.tar.bz2
Source1:        telnet.xinetd
Patch1:         %{name}-bsd-1.2-suppress_hostname.patch

%description
Telnet is an old protocol for logging into remote systems.  It is
rarely used, since the transfer is not encrypted (ssh is mostly used
these days).  The telnet client is often used for debugging other
network services. The command

telnet localhost 25

connects to the local smtp server, for example.



%debug_package
%package server
Summary:        A Server Program for the Telnet Remote Login Protocol
Group:          Productivity/Networking/Other
Requires:       netcfg
Provides:       nkitserv:/usr/sbin/in.telnetd
Obsoletes:      nkitserv

%description server
Telnet is a popular protocol for logging into remote systems. This
package provides the telnet daemon, which will allow remote logins into
this machine.



%prep
%setup -q -n telnet-bsd-%version
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -fpie" LDFLAGS="-pie" ./configure
make

%install
export NO_BRP_STRIP_DEBUG=true
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man1
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man5
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man8
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/xinetd.d/telnet

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README NEWS
%attr(755,root,root) /usr/bin/telnet
%doc %_mandir/man1/telnet.1.gz

%files server
%defattr(644,root,root,755)
%doc COPYING ChangeLog README NEWS
%doc %_mandir/man8/in.telnetd.8.gz
%doc %_mandir/man8/telnetd.8.gz
%doc %_mandir/man5/issue.net.5.gz
%config(noreplace) /etc/xinetd.d/telnet
%attr(755,root,root) /usr/sbin/in.telnetd

%changelog -n telnet
* Fri May 19 2006 - kssingvo@suse.de
- added option -H to suppress hostname (bugzilla#175376)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jun 16 2005 - mmj@suse.de
- Compile with -fpie, link with -pie
* Thu Jun 02 2005 - kukuk@suse.de
- Update to version 1.2 (-fpie/-pie support, latest security fixes)
* Tue Apr 05 2005 - mmj@suse.de
- execl(..., 0) -> execl(..., NULL)
* Fri Jun 11 2004 - mmj@suse.de
- Apply patch to avoid deadlock [#41864]
* Wed Feb 25 2004 - schwab@suse.de
- Make sure _POSIX_VDISABLE is properly defined.
* Sat Feb 14 2004 - kukuk@suse.de
- Update to telnet-bsd 1.1:
- Fix -L option
- Fix missing prototypes
- Merge all patches
* Thu Oct 16 2003 - mmj@suse.de
- Don't build as root
* Tue May 13 2003 - mmj@suse.de
- Use %%defattr
* Fri Mar 07 2003 - ro@suse.de
- remove empty server_args line in xinetd config file
* Fri Jan 24 2003 - mmj@suse.de
- Dont use permission 755 for the xinetd file
* Fri Jan 24 2003 - mmj@suse.de
- Add xinetd configuration file
* Wed Dec 04 2002 - mmj@suse.de
- Fix one version of strcpy, gotten from the OpenBSD tree
* Wed Feb 13 2002 - mmj@suse.de
- Increased the temporary buffer size in telnet to fix problem
  with long hostnames when telnetting to a Solaris box.
* Tue Aug 14 2001 - kukuk@suse.de
- Add more fixes for possible security problems
* Fri Jul 27 2001 - kukuk@suse.de
- Add fix for possible problems with buffer overruns
* Mon Apr 02 2001 - kukuk@suse.de
- Add Obsolete for nkitserv
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Tue Mar 13 2001 - kukuk@suse.de
- Initial package, split from nkitb
